找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
热搜: 活动 交友 discuz
查看: 243|回复: 0

[表格] 求教:如何合并单元格

[复制链接]

0

主题

0

回帖

26

积分

管理员

积分
26
发表于 2024-3-9 11:13:12 | 显示全部楼层 |阅读模式
  1. using Autodesk.AutoCAD.ApplicationServices;
  2. using Autodesk.AutoCAD.DatabaseServices;
  3. using Autodesk.AutoCAD.EditorInput;
  4. using Autodesk.AutoCAD.Runtime;
  5. namespace TableStyleEditing
  6. {
  7.   public class Commands
  8.   {
  9.     [CommandMethod("UTT")]
  10.     public void UnmergeTableTitle()
  11.     {
  12.       var doc = Application.DocumentManager.MdiActiveDocument;
  13.       if (doc == null) return;
  14.       var ed = doc.Editor;
  15.       // Select a table
  16.       var peo = new PromptEntityOptions("\nSelect table");
  17.       peo.SetRejectMessage("\nMust be a table.");
  18.       peo.AddAllowedClass(typeof(Table), false);
  19.       var per = ed.GetEntity(peo);
  20.       if (per.Status != PromptStatus.OK)
  21.         return;
  22.       using (var tr = doc.TransactionManager.StartTransaction())
  23.       {
  24.         var table = tr.GetObject(per.ObjectId, OpenMode.ForWrite) as Table;
  25.         if (table != null)
  26.         {
  27.           // Get the first row
  28.           var row = table.Rows[0];
  29.           // If it is merged, unmerge it
  30.           if (row.IsMerged.HasValue && row.IsMerged.Value)
  31.           {
  32.             table.UnmergeCells(row);
  33.             ed.WriteMessage("\nUnmerged first row.");
  34.           }
  35.           else
  36.           {
  37.             ed.WriteMessage("\nFirst row is not merged.");
  38.           }
  39.         }
  40.         tr.Commit();
  41.       }
  42.     }
  43.   }
  44. }
复制代码
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

Archiver|手机版|小黑屋|膜结构网

GMT+8, 2024-12-27 06:34 , Processed in 0.125071 second(s), 20 queries .

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表